Skip to Content
avatar image
Former Member

NWDS 7.1/jdk1.5/localhost: UnsupportedClassVersionError

hello together,

deploying/running web dynpro java welcome example, i get following ewrror:

java.lang.UnsupportedClassVersionError: Bad version number in .class file 
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:664)
    at com.sap.engine.boot.loader.ResourceMultiParentClassLoader.loadClassLocal(ResourceMultiParentClassLoader.java:183)
    at com.sap.engine.boot.loader.MultiParentClassLoader.findClassInLoaderGraph(MultiParentClassLoader.java:312)
    at com.sap.engine.boot.loader.MultiParentClassLoader.loadClass(MultiParentClassLoader.java:271)
    ... 67 more

hermann

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • Best Answer
    avatar image
    Former Member
    May 18, 2009 at 10:36 AM

    Hermann,

    check this thread

    https://forums.sdn.sap.com/click.jspa?searchID=26235631&messageID=7056683

    Thanks

    Bala Duvvuri

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    May 18, 2009 at 11:51 AM

    hello,

    in SapNetweaverDeveloperStudio.ini

    -vm 
    <path to javavw.exe on jre1.5>

    helps

    thanks

    Add comment
    10|10000 characters needed characters exceeded